public class AWrapperOfChar {
    public static void main(String[] args) {
        Character c1 = new Character('a'); // unnecessary boxing
        Character c2 = 'a'; // equivalente a la linea anterior
        Character c3;
        c3 = '9'; // equivalente
        System.out.println("c1 = '" + c1 + "'.");
        System.out.println("c2 = '" + c2 + "'.");
        System.out.println("c3 = '" + c3 + "'.");
        System.out.println("c1 == c2 is " + (c1 == c2));
        System.out.println("c1.equals(c2) is " + c1.equals(c2));
        System.out.println("c1.equals('a') is " + c1.equals('a'));
            // implicit boxing
        System.out.println("Character.toLowerCase('W') is " + Character.toLowerCase('W'));
        System.out.println("Character.toUpperCase(c1)) is " + Character.toUpperCase(c1));
            // implicit unboxing
        System.out.println("Character.isDigit(c1) is " + Character.isDigit(c1));
        System.out.println("Character.isLetter(c2) is " + Character.isLetter(c2));
        System.out.println("Character.isLetterOrDigit(c3) is " + Character.isLetterOrDigit(c3));
        System.out.println("Character.isUpperCase(c1) is " + Character.isUpperCase(c1));
        System.out.println("Character.isLowerCase(c1) is " + Character.isLowerCase(c1));
    }
}
/*
Primitive Type	Wrapper class
boolean	Boolean
char	Character
byte	Byte
short	Short
int	Integer
long	Long
float	Float
double	Double
 */
